PDFNavigator (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf

## Class PDFNavigator

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFIdentifiedDictionary
      - - org.apache.fop.pdf.PDFNavigator

- All Implemented Interfaces:
    PDFWritable

      public class PDFNavigator
      extends PDFIdentifiedDictionary

  Navigation Node Dictionary, which we call a 'navigator'. This class is used to for sub-page navigation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PDFNavigator.Resolver`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFNavigator(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `output(OutputStream stream)` Write the PDF represention of this object
    `void` | `populate(Object nextAction, Object nextNode, Object prevAction, Object prevNode, Object duration)`
    `void` | `setResolver(PDFNavigator.Resolver resolver)`

    - ### Methods inherited from class org.apache.fop.pdf.PDFIdentifiedDictionary

      `getId, hasId`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFNavigator

          public PDFNavigator(String id)

  - ### Method Detail

    - #### output

          public int output(OutputStream stream)
                     throws IOException

      Description copied from class: `PDFDictionary`
      Write the PDF represention of this object
      Overrides:
        `output` in class `PDFDictionary`
      Parameters:
        `stream` - the stream to write the PDF to
      Returns:
        the number of bytes written
      Throws:
        `IOException` - if there is an error writing to the stream

    - #### setResolver

          public void setResolver(PDFNavigator.Resolver resolver)

    - #### populate

          public void populate(Object nextAction,
                               Object nextNode,
                               Object prevAction,
                               Object prevNode,
                               Object duration)

Copyright © 2025 Apache Software Foundation. All rights reserved.